Package org.apache.lucene.analysis.es

## Class SpanishPluralStemmer

- java.lang.Object
- - org.apache.lucene.analysis.es.SpanishPluralStemmer

-     public class SpanishPluralStemmer
      extends Object

  Plural Stemmer for Spanish

  This stemmer implements the rules described in: http://www.wikilengua.org/index.php/Plural_(formación)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpanishPluralStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `stem​(char[] s, int len)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanishPluralStemmer

          public SpanishPluralStemmer()

  - ### Method Detail

    - #### stem

          public int stem​(char[] s,
                          int len)